ru.bitel.bgbilling.kernel.contract.balance.server.event

## Class PaymentDeletedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.contract.balance.server.event.PaymentDeletedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class PaymentDeletedEvent
      extends QueueEvent

  Асинхронное событие, генерируемое системой после удаления платежа.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PaymentDeletedEvent()`
    `` | `PaymentDeletedEvent(int userId, Payment payment)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Payment` | `getPayment()` Возвращает объект с данными платежа.
    `int` | `getPaymentId()` Deprecated. использовать getPayment()
    `int` | `getTypeId()` Deprecated.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PaymentDeletedEvent

          protected PaymentDeletedEvent()

    - #### PaymentDeletedEvent

          public PaymentDeletedEvent(int userId,
                                     Payment payment)

  - ### Method Detail

    - #### getPaymentId

          @Deprecated
          public int getPaymentId()

      Deprecated. использовать getPayment()
      Возвращает код удаленного платежа
      Returns:
        код

    - #### getPayment

          public Payment getPayment()

      Возвращает объект с данными платежа.
      Returns:

    - #### getTypeId

          @Deprecated
          public int getTypeId()

      Deprecated.
      Использовать проверку instanceof.
      Overrides:
        `getTypeId` in class `Event`
      Returns: